commit a664f198
Added check to see if already compiled
Changed files
| M | mxe_openarena_builder/engine_compile_script.sh before |
diff --git a/mxe_openarena_builder/engine_compile_script.sh b/mxe_openarena_builder/engine_compile_script.sh
index f3f9849..94023ac 100755
--- a/mxe_openarena_builder/engine_compile_script.sh
+++ b/mxe_openarena_builder/engine_compile_script.sh
@@ -6,6 +6,12 @@ git clone git://github.com/OpenArena/engine.git
cd engine
VERSION_ID=$(git log -1 --date=short --format="openarena_engine_windows_%cd_%H")
echo $VERSION_ID
+ZIPFILE="/data/${VERSION_ID}.zip"
+if [ -e "$ZIPFILE" ]
+then
+ echo "$ZIPFILE exist -> UP TO DATE"
+ exit 1
+fi
STAGING_DIR=/staging/$VERSION_ID
mkdir $STAGING_DIR
#make